# Continuous1DFunction Class Reference

This is a TabulatedFunction that computes a continuous one dimensional function. More...

Inheritance diagram for Continuous1DFunction:

List of all members.

## Public Member Functions
def | __init__
| __init__(OpenMM.Continuous1DFunction self, vectord values, double min, double max) -> Continuous1DFunction
def | getFunctionParameters
| getFunctionParameters(Continuous1DFunction self)
def | setFunctionParameters
| setFunctionParameters(Continuous1DFunction self, vectord values, double min, double max)
def | Copy
| Copy(Continuous1DFunction self) -> Continuous1DFunction.
def | __del__
| __del__(OpenMM.Continuous1DFunction self)
## Public Attributes
| this

## Detailed Description

This is a TabulatedFunction that computes a continuous one dimensional function.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.Continuous1DFunction self)

Reimplemented from TabulatedFunction.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.Continuous1DFunction self, vectord values, double min, double max) -> Continuous1DFunction

This is a TabulatedFunction that computes a continuous one dimensional function.

def Copy | ( |  | self | ) |

Copy(Continuous1DFunction self) -> Continuous1DFunction.

Reimplemented from TabulatedFunction.

def getFunctionParameters | ( |  | self | ) |

getFunctionParameters(Continuous1DFunction self)

def setFunctionParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setFunctionParameters(Continuous1DFunction self, vectord values, double min, double max)

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py